{%extends "base.html"%}
{% load static %}


{%block title%}
Scrumptious Recipes
{%endblock title%}

{%block content%}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ recipe_object.title }} -Scrumptious Recipes</title>
    <link rel="stylesheet" href="{% static "css/recipes.css" %}">
</head>
<body>
    <header>

        <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
            <div class="container-fluid">
              <a class="navbar-brand" href="#">Navbar</a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav me-auto">
                  {% if user.is_authenticated %}
                  <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
                  </li>
                    <a class="nav-link" href="{% url "user_logout" %}"> Log out </a>
                  </li>
                    {% else %}
                  <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
                  </li>
                  <li>
                  {% endif %}
                </ul>
              </div>
            </div>
          </nav>

    </header>
    <main>


          <form class="main-form" method="POST">
            {% csrf_token %}
                  <fieldset>
                    {{recipes.title}}
                    <div class="form-group row">
                    </div>
                    <div class="form-group">
                      <label for="exampleInputEmail1"  class="form-label mt-4">Step Number</label>
                      <input type="number" name="step_number"  maxlength="200" required id="id_step_number" class="form-control"aria-describedby="emailHelp">
                      <small id="emailHelp" class="form-text text-muted">Enter The Step Number</small>
                    </div>
                    <div class="form-group">
                      <label for="exampleInputPassword1" class="form-label mt-4">Instruction</label>
                      <input type="text" class="form-control" name="instruction" maxlength="200" required id="id_instruction" autocomplete="off">
                      <small id="emailHelp" class="form-text text-muted">Enter The Instruction</small>

                    </div>

                    <div class="form-group">
                      <div class="dropdown">
                        <button class="btn btn-lg btn-primary null">Choose Recipe</button>  
                          <div>
                          {{form.recipe}}
                        </div>
                      </div>
                      </div>
                      

                    <div class="form-group">
                      <button class="btn btn-primary"> Add Step </button>
                    </div>
                </form>

                
    </main>
    {%endblock%}   
    <footer>
        Made with love by Scrumptious Recipes
    </footer> 


</body>

</html>
